/* (C)opyright MMVI-MMVII Anselm R. Garbe <garbeam at gmail dot com>
 * (C)opyright MMVIII markus schnalke <meillo at marmaro dot de>
 * See LICENSE file for license details.
 */

#define NAMESEL "Das Alles"
#define NAMENSEL "Das Nichts"

#define BORDERPX		1
#define DEFMODE			domax		/* dotile */

#define FONT			"-*-terminus-medium-*-*-*-14-*-*-*-*-*-*-*"
#define NORMBGCOLOR		"#333333"
#define NORMFGCOLOR		"#bbbbbb"
#define SELBGCOLOR		"#eec900"
#define SELFGCOLOR		"#000000"

#define MODKEY			Mod1Mask
#define NMASTER			1		/* clients in master area */
#define SNAP			5		/* pixel */

#define KEYS \
static Key key[] = { \
	/* modifier			key		function	argument */ \
	{ MODKEY|ShiftMask,		XK_Return,	spawn,		"exec urxvt" }, \
	{ MODKEY,			XK_F1,		toggleview,		"" }, \
	{ MODKEY,			XK_F2,		toggleview,		"" }, \
	{ MODKEY,			XK_Tab,		focusnext,	"" }, \
	{ MODKEY,			XK_asciicircum,		spawn, "dmenu_run -fn '"FONT"' "\
	         "-nb '"NORMBGCOLOR"' -nf '"NORMFGCOLOR"' -sb '"SELBGCOLOR"' -sf '"SELFGCOLOR"'"  }, \
	{ MODKEY,			XK_1, 	zoom,		"" }, \
	{ MODKEY, 		XK_2,		killclient,	"" }, \
	{ MODKEY|ShiftMask,		XK_q,		quit,		"" }, \
	{ MODKEY|ShiftMask,			XK_F4,		spawn,		"sudo /sbin/shutdown -h -t 3 now"  }, \
	{ MODKEY,			XK_space,	togglemode,	"" }, \
	{ MODKEY|ShiftMask,		XK_space,	togglefloat,	"" }, \
	{ MODKEY,			XK_plus,		incnmaster,	"" }, \
	{ MODKEY,			XK_minus,		decnmaster,	"" }, \
	{ MODKEY,		XK_F3,		togglegroup,		"" }, \
};

/* Query class:instance:title for regex matching info with following command:
 * xprop | awk -F '"' '/^WM_CLASS/ { printf("%s:%s:",$4,$2) }; /^WM_NAME/ { printf("%s\n",$2) }' */
#define RULES \
static Rule rule[] = { \
	/* class:instance:title regex, group (0=first/1=second/-1=curr), isfloat */ \
	{ "URxvt.*",	  	  	1,	    	False }, \
	{ "MPlayer.*",		  	-1,	    	True }, \
	{ "qiv.*",		  	    -1,	    	False }, \
	{ "Gimp.*",	      		0,		True }, \
	{ ".*",		          	0,	    	False }, \
};
